org.codehaus.plexus

## Class DefaultContainerConfiguration

- java.lang.Object
- - org.codehaus.plexus.DefaultContainerConfiguration

All Implemented Interfaces:
  ContainerConfiguration

    public class DefaultContainerConfiguration
    extends java.lang.Object
    implements ContainerConfiguration

Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DefaultContainerConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContainerConfiguration` `addComponentDiscoverer(java.lang.Class<?> clazz)`
`ContainerConfiguration` `addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)`
`ContainerConfiguration` `addComponentDiscoveryListener(java.lang.Class<?> clazz)`
`ContainerConfiguration` `addComponentDiscoveryListener(ComponentDiscoveryListener componentDiscoveryListener)`
`ContainerConfiguration` `addLifecycleHandler(LifecycleHandler lifecycleHandler)`
`org.codehaus.plexus.classworlds.ClassWorld` `getClassWorld()`
`ComponentDiscovererManager` `getComponentDiscovererManager()`
`java.util.List<java.lang.Class>` `getComponentDiscoverers()`
`java.util.List<java.lang.Class>` `getComponentDiscoveryListeners()`
`ComponentFactoryManager` `getComponentFactoryManager()`
`ComponentRepository` `getComponentRepository()`
`ConfigurationSource` `getConfigurationSource()`
`java.lang.String` `getContainerConfiguration()`
`java.net.URL` `getContainerConfigurationURL()`
`java.util.Map<java.lang.Object,java.lang.Object>` `getContext()`
`ContainerInitializationPhase[]` `getInitializationPhases()`
`LifecycleHandlerManager` `getLifecycleHandlerManager()`
`java.lang.String` `getName()`
`org.codehaus.plexus.classworlds.realm.ClassRealm` `getRealm()`
`ContainerConfiguration` `setClassWorld(org.codehaus.plexus.classworlds.ClassWorld classWorld)`
`ContainerConfiguration` `setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)`
`ContainerConfiguration` `setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)`
`ContainerConfiguration` `setComponentRepository(ComponentRepository componentRepository)`
`ContainerConfiguration` `setConfigurationSource(ConfigurationSource configurationSource)`
`ContainerConfiguration` `setContainerConfiguration(java.lang.String containerConfiguration)`
`ContainerConfiguration` `setContainerConfigurationURL(java.net.URL containerConfiguration)`
`ContainerConfiguration` `setContext(java.util.Map<java.lang.Object,java.lang.Object> context)`
`ContainerConfiguration` `setInitializationPhases(ContainerInitializationPhase[] initializationPhases)`
`ContainerConfiguration` `setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)`
`ContainerConfiguration` `setName(java.lang.String name)`
`ContainerConfiguration` `setRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultContainerConfiguration

    public DefaultContainerConfiguration()

### Method Detail

#### setName

    public ContainerConfiguration setName(java.lang.String name)

Specified by:
  `setName` in interface `ContainerConfiguration`

#### setContext

    public ContainerConfiguration setContext(java.util.Map<java.lang.Object,java.lang.Object> context)

Specified by:
  `setContext` in interface `ContainerConfiguration`

#### setClassWorld

    public ContainerConfiguration setClassWorld(org.codehaus.plexus.classworlds.ClassWorld classWorld)

Specified by:
  `setClassWorld` in interface `ContainerConfiguration`

#### setRealm

    public ContainerConfiguration setRealm(org.codehaus.plexus.classworlds.realm.ClassRealm realm)

Specified by:
  `setRealm` in interface `ContainerConfiguration`

#### setContainerConfiguration

    public ContainerConfiguration setContainerConfiguration(java.lang.String containerConfiguration)

Specified by:
  `setContainerConfiguration` in interface `ContainerConfiguration`

#### getContainerConfiguration

    public java.lang.String getContainerConfiguration()

Specified by:
  `getContainerConfiguration` in interface `ContainerConfiguration`

#### setContainerConfigurationURL

    public ContainerConfiguration setContainerConfigurationURL(java.net.URL containerConfiguration)

Specified by:
  `setContainerConfigurationURL` in interface `ContainerConfiguration`

#### getContainerConfigurationURL

    public java.net.URL getContainerConfigurationURL()

Specified by:
  `getContainerConfigurationURL` in interface `ContainerConfiguration`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ContainerConfiguration`

#### getContext

    public java.util.Map<java.lang.Object,java.lang.Object> getContext()

Specified by:
  `getContext` in interface `ContainerConfiguration`

#### getClassWorld

    public org.codehaus.plexus.classworlds.ClassWorld getClassWorld()

Specified by:
  `getClassWorld` in interface `ContainerConfiguration`

#### getRealm

    public org.codehaus.plexus.classworlds.realm.ClassRealm getRealm()

Specified by:
  `getRealm` in interface `ContainerConfiguration`

#### setInitializationPhases

    public ContainerConfiguration setInitializationPhases(ContainerInitializationPhase[] initializationPhases)

#### getInitializationPhases

    public ContainerInitializationPhase[] getInitializationPhases()

Specified by:
  `getInitializationPhases` in interface `ContainerConfiguration`

#### addComponentDiscoveryListener

    public ContainerConfiguration addComponentDiscoveryListener(ComponentDiscoveryListener componentDiscoveryListener)

Specified by:
  `addComponentDiscoveryListener` in interface `ContainerConfiguration`

#### addComponentDiscoverer

    public ContainerConfiguration addComponentDiscoverer(ComponentDiscoverer componentDiscoverer)

Specified by:
  `addComponentDiscoverer` in interface `ContainerConfiguration`

#### addComponentDiscoverer

    public ContainerConfiguration addComponentDiscoverer(java.lang.Class<?> clazz)

Specified by:
  `addComponentDiscoverer` in interface `ContainerConfiguration`

#### addComponentDiscoveryListener

    public ContainerConfiguration addComponentDiscoveryListener(java.lang.Class<?> clazz)

Specified by:
  `addComponentDiscoveryListener` in interface `ContainerConfiguration`

#### getComponentDiscoverers

    public java.util.List<java.lang.Class> getComponentDiscoverers()

Specified by:
  `getComponentDiscoverers` in interface `ContainerConfiguration`

#### getComponentDiscoveryListeners

    public java.util.List<java.lang.Class> getComponentDiscoveryListeners()

Specified by:
  `getComponentDiscoveryListeners` in interface `ContainerConfiguration`

#### setComponentDiscovererManager

    public ContainerConfiguration setComponentDiscovererManager(ComponentDiscovererManager componentDiscovererManager)

Specified by:
  `setComponentDiscovererManager` in interface `ContainerConfiguration`

#### getComponentDiscovererManager

    public ComponentDiscovererManager getComponentDiscovererManager()

Specified by:
  `getComponentDiscovererManager` in interface `ContainerConfiguration`

#### getComponentFactoryManager

    public ComponentFactoryManager getComponentFactoryManager()

Specified by:
  `getComponentFactoryManager` in interface `ContainerConfiguration`

#### setComponentFactoryManager

    public ContainerConfiguration setComponentFactoryManager(ComponentFactoryManager componentFactoryManager)

Specified by:
  `setComponentFactoryManager` in interface `ContainerConfiguration`

#### setComponentRepository

    public ContainerConfiguration setComponentRepository(ComponentRepository componentRepository)

Specified by:
  `setComponentRepository` in interface `ContainerConfiguration`

#### getComponentRepository

    public ComponentRepository getComponentRepository()

Specified by:
  `getComponentRepository` in interface `ContainerConfiguration`

#### addLifecycleHandler

    public ContainerConfiguration addLifecycleHandler(LifecycleHandler lifecycleHandler)

Specified by:
  `addLifecycleHandler` in interface `ContainerConfiguration`

#### setLifecycleHandlerManager

    public ContainerConfiguration setLifecycleHandlerManager(LifecycleHandlerManager lifecycleHandlerManager)

Specified by:
  `setLifecycleHandlerManager` in interface `ContainerConfiguration`

#### getLifecycleHandlerManager

    public LifecycleHandlerManager getLifecycleHandlerManager()

Specified by:
  `getLifecycleHandlerManager` in interface `ContainerConfiguration`

#### setConfigurationSource

    public ContainerConfiguration setConfigurationSource(ConfigurationSource configurationSource)

Specified by:
  `setConfigurationSource` in interface `ContainerConfiguration`

#### getConfigurationSource

    public ConfigurationSource getConfigurationSource()

Specified by:
  `getConfigurationSource` in interface `ContainerConfiguration`